\name{helloworld-package}
\alias{helloworld-package}
\alias{helloworld}
\docType{package}
\title{
Hello World example package
}
\description{
A minimalist package saying hello and using
a tiny function written in C.
}
\details{
\tabular{ll}{
Package: \tab helloworld\cr
Type: \tab Package\cr
Version: \tab 1.0\cr
Date: \tab 2011-02-12\cr
License: \tab GPL (>= 3)\cr
LazyLoad: \tab yes\cr
}
}
\author{
David Dernoncourt <\url{http://www.daviddernoncourt.com}>

Maintainer: John Smith <john.smith@tardis.net>
}
\references{
	\bold{The place where this package comes from:}
	
	David Dernoncourt (2011):
	\href{http://notepad.patheticcockroach.com/1342/a-hello-world-r-package-or-a-quick-start-into-writing-r-extensions-with-some-c-inside}{A "Hello World" R package, or a quick start into writing R extensions with some C inside}.
	
	\bold{The reference about writing packages:}
	
	R Development Core Team (2010): \emph{Writing R Extensions}. R Foundation for
		Statistical Computing, Vienna, Austria.
		=> \href{http://cran.r-project.org/doc/manuals/R-exts.html}{Link}
		
	\bold{Publications that make it easier:}
		
	Leisch, Friedrich (2008): \emph{Creating R Packages: A Tutorial}.
		In: Brito, Paula (ed.), Compstat 2008 - Proceedings in Computational
		Statistics. Physica Verlag: Heidelberg, Germany.
		=> \href{http://epub.ub.uni-muenchen.de/6175/}{Link}
	
	R.M. Ripley. \emph{Making an R package}. Department of Statistics,
		University of Oxford, 2008/9.
		=> \href{http://www.stats.ox.ac.uk/~ruth/RCourse/Rcourse104up.pdf}{Link}
		
	PA. Cornillon, A. Guyader, F. Husson, N. Jegou, J. Josse, M. Kloareg,
		E. Matzner-Lober, L. Rouviere. \emph{Construire un package R}. 2008.
		=> \href{http://www.agrocampus-ouest.fr/math/livreR/}{Link}
	
	\bold{Others:}
	
	R Development Core Team (2010): \emph{R Installation and Administration}. R Foundation for
		Statistical Computing, Vienna, Austria.
		=> \href{http://cran.r-project.org/doc/manuals/R-admin.html\#Getting-the-tools}{Link}
}
% ~~ Optionally other standard keywords, one per line, from file KEYWORDS in ~~
% ~~ the R documentation directory ~~
\keyword{ package }
%\seealso{
%%~~ Optional links to other man pages, e.g. ~~
%%~~ \code{\link[<pkg>:<pkg>-package]{<pkg>}} ~~
%}
\examples{
helloWorldR(2,9);
helloWorldR(6,7);
}
