//#include <stdio.h>
//#include <stdlib.h>
#include <R.h>
#include <Rinternals.h>

SEXP helloWorldC2R(SEXP n, SEXP m);

double helloWorldC(double *nn, double *mm);

/* Specific code, with specific vocabulary  */
SEXP helloWorldC2R(SEXP n, SEXP m)
{
	double *nn = REAL(n), *mm = REAL(m);
	double *res = NULL;
	SEXP result;
	
	// allocate result
	PROTECT(result = allocVector(REALSXP, 1));
	res = REAL(result);
	
        *res = helloWorldC(nn,mm);
	
	UNPROTECT(1);
	return result;
}

/* Generic code, with generic vocabulary, could be used in any C code  */
double helloWorldC(double *nn, double *mm)
{
	if((*nn * *mm)==42) return(1);
	else return(0);

}
